### Hierarchy

- Tabs

## Index

### Properties

- host
- selectedIndex
- tabGroup
- tabsContent
- tabsHeader

### Accessors

- activeIndex

### Methods

- componentDidLoad
- componentDidUpdate
- createGroup
- onSelectedTab
- render
- selectGroup

## Properties

### host

host: HTMLElement

- Defined in tabs/tabs.tsx:19

### selectedIndex

selectedIndex: number

- Defined in tabs/tabs.tsx:21

### tabGroup

tabGroup: ITabGroup[]

- Defined in tabs/tabs.tsx:17

### tabsContent

tabsContent: IEmaTabContentData[]

- Defined in tabs/tabs.tsx:16

### tabsHeader

tabsHeader: IEmaTabHeaderData[]

- Defined in tabs/tabs.tsx:15

## Accessors

### activeIndex

- set activeIndex(index: any): void

- - Defined in tabs/tabs.tsx:67

  #### Parameters

  - ##### index: any

  #### Returns void

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in tabs/tabs.tsx:23

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in tabs/tabs.tsx:30

  #### Returns void

### createGroup

- createGroup(): void

- - Defined in tabs/tabs.tsx:40

  #### Returns void

### onSelectedTab

- onSelectedTab(event: CustomEvent): void

- - Defined in tabs/tabs.tsx:35

  #### Parameters

  - ##### event: CustomEvent

  #### Returns void

### render

- render(): any[]

- - Defined in tabs/tabs.tsx:81

  #### Returns any[]

### selectGroup

- selectGroup(group: ITabGroup): void

- - Defined in tabs/tabs.tsx:57

  #### Parameters

  - ##### group: ITabGroup

  #### Returns void